{
description = "nixos ig";
inputs = {
    nixpkgs.url = "nixpkgs/nixos-unstable";
    home-manager = {
        url = "github:nix-community/home-manager";
        inputs.nixpkgs.follows = "nixpkgs";
    };
    catppuccin.url = "github:catppuccin/nix";
};

outputs = {
    self,
    nixpkgs,
    home-manager,
    catppuccin,
    ...
    }: {
        nixosConfigurations.cln = nixpkgs.lib.nixosSystem {
            system = "x86_64-linux";
            modules = [
                ./configuration.nix 
                catppuccin.nixosModules.catppuccin
                home-manager.nixosModules.home-manager
                {
                    home-manager = {
                        useGlobalPkgs = true;
                        useUserPackages = true;
                        users.cln = {
                            imports = [
                                ./home.nix
                                catppuccin.homeModules.catppuccin
                            ];
                        };
                        backupFileExtension = "backup";
                    };
                }
            ];
        };
    };

}
